# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Apache/Session/Flex.pm) perl(Digest/SHA1.pm) perl(HTML/Mason/Exceptions.pm) perl(HTML/Mason/Request.pm) perl(HTML/Mason/Tests.pm) perl(Params/Validate.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MasonX-Request-WithApacheSession
Version:        0.30
Release:        alt2_16
Summary:        Add a session to the Mason Request object
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/MasonX-Request-WithApacheSession/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/MasonX-Request-WithApacheSession-%{version}.tar.gz
Patch0:         MasonX-Request-WithApacheSession-0.30_subrequests.patch	
BuildArch:      noarch
BuildRequires:  perl(Apache/Session/Wrapper.pm)
BuildRequires:  perl(HTML/Mason.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(Apache/Session/Wrapper.pm) >= 0.13
Requires:       perl(HTML/Mason.pm) >= 1.16
Source44: import.info

%description
This module integrates Apache::Session into Mason by adding methods to the
Mason Request object available in all Mason components.

%prep
%setup -q -n MasonX-Request-WithApacheSession-%{version}
%patch0

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt2_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt2_15
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt2_13
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_13
- fc import

